.cast-wrapping {
  padding: 1em 10em;
}

.cast-wrapping .cast-detail {
  width: 100%;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.cast-wrapping .cast-detail .cast-item {
  text-align: center;
}

.cast-wrapping .cast-detail .cast-item .cast-cover {
  min-width: 200px;
  aspect-ratio: 1/1;
  background-color: yellow;
}

.cast-wrapping .cast-detail .cast-item h3 {
  margin: 0.5rem 0 2rem;
  font-size: 1.2rem;
}

/* NOT FOUND */
.cast-detail .not-found-container .not-found-wrapper .not-found-detail {
  text-align: left;
}

.cast-detail .not-found-container .not-found-wrapper .not-found-detail h1 {
  font-size: 10em;
  font-weight: bold;
  margin-bottom: 1rem;
}

.cast-detail .not-found-container .not-found-wrapper .not-found-detail h2 {
  margin: 2rem 0;
}

.cast-detail .not-found-container .not-found-wrapper .not-found-detail span {
  display: block;
}

@media screen and (max-width: 935px) {
  .cast-wrapping {
    text-align: center;
  }
  .cast-wrapping .cast-detail {
    justify-content: space-evenly;
  }
  .cast-detail .not-found-container .not-found-wrapper .not-found-detail {
    text-align: center;
  }
}

/* BUTTON DETAIL */
.button-detail-wrapping {
  margin-top: 2rem;
  padding: 1em 8em;
}

.button-detail-wrapping .button-detail-category-bar button {
  font-weight: 700;
  padding: 0.7em 1.2em;
  border-radius: 1.1em;
  border: 0;
  margin-right: 1rem;
  margin-bottom: 1rem;
  transition: 0.3s;
  box-shadow: 0.1rem 0.1rem 1rem rgba(28, 28, 28, 0.1);
}

.button-detail-wrapping .button-detail-category-bar button:hover {
  color: white;
  background-color: #fe024e;
}

.button-detail-wrapping .button-detail-category-bar button:active {
  color: white;
  background-color: #eb507f;
}

@media screen and (max-width: 935px) {
  .button-detail-wrapping {
    text-align: center;
  }
}
